@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";

* {
    scroll-margin-top: 4.875rem;
}

header {
    background: map.get(colors.$colors, header-bg);
    padding: 0.5rem 0.5rem;
    width: 100%;
    display: block;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    /*Navbar remains on top*/
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 1;
    margin-bottom: 0;
    border-bottom: 2px solid map.get(colors.$colors, border);

    a {
        text-decoration: none;
    }

    color: map.get(colors.$colors, header-text-1);
}

.site-header-responsive {
    display: flex;
    justify-content: space-between;
}

.site-identity {
    margin: 0;
    display: flex;
    align-items: center;

    img {
        margin: 0;
    }
}

.brand {
    font-size: 2rem;
    font-weight: bold;
    margin: 0 0.625rem;
    color: map.get(colors.$colors, header-text-1);
}

.dropdown-menu {
    display: flex;
}

.hamburger {
    width: 1.5rem;
    margin: 1rem 1rem -0.5rem 1rem;
}

.site-navigation {
    margin: 0;
    display: none;
}

.menu-items {
    display: flex;

    ul {
        margin: 0;
        padding: 0;
    }

    li {
        width: 1.5rem;
        display: flex;
        margin: 1rem 1rem -0.5rem 1rem;
    }

    a {
        color: map.get(colors.$colors, header-text-1);
        position: relative;
        display: flex;
        align-items: center;

        &:hover {
            .icon {
                scale: 1.05;
                color: map.get(colors.$colors, header-text-1);
            }

            .nav-text {
                opacity: 1;
            }
        }
    }
}

.nav-text {
    opacity: 1;
    padding: 0.625rem;
}

.nav-dropped {
    display: flex;
}

@include mixins.respond-to(medium) {
    header {
        display: flex;
    }

    .site-header-responsive {
        display: block;
    }

    .dropdown-menu {
        display: none;
    }

    .site-navigation {
        display: flex;
    }

    .menu-items {
        li {
            display: inline-block;
        }

        a {
            flex-direction: column;
        }
    }

    .nav-text {
        opacity: 0;
        padding: 0;
    }
}
